Search results

Dialog in Vue DocumentEditor component

20 Mar 2023 / 8 minutes to read

Document Editor provides dialog support to major operations such as insert or edit hyperlink, formatting text, paragraph, style, list and table properties.

Font Dialog

Font dialog allows you to modify all text properties for selected contents at once such as bold, italic, underline, font size, font color, strikethrough, subscript and superscript.

Refer to the following example.

Copied to clipboard
<template>
        <div id="app">
            <div>
                  <button v-on:click='showFontDialog' >Open dialog</button>
            </div>
            <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableFontDialog='true' :enableSfdtExport='true' height="370px" style="width: 100%;"></ejs-documenteditor>
        </div>
</template>
<script>
      import Vue from 'vue'
      import { DocumentEditorPlugin, Selection, Editor,  FontDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

      Vue.use(DocumentEditorPlugin);

      export default {
          data: function() {
              return {
              };
          },
          provide: {
              //Inject require modules.
              DocumentEditor : [Selection, Editor, FontDialog, SfdtExport]
          }
          methods: {
              showFontDialog: function() {
                  //Open the font dialog.
                  this.$refs.documenteditor.showDialog('Font');
              }
          }
      }
</script>
<style>
      @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Paragraph dialog

This dialog allows modifying the paragraph formatting for selection at once such as text alignment, indentation, and spacing.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
      <div id="app">
          <div>
              <button v-on:click='showParagraphDialog' >Open dialog</button>
          </div>
           <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableParagraphDialog='true' :enableSfdtExport='true' height="370px" style="width: 100%;"></ejs-documenteditor>
      </div>
</template>
<script>
      import Vue from 'vue'
      import { DocumentEditorPlugin, Selection, Editor,  ParagraphDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

      Vue.use(DocumentEditorPlugin);

      export default {
          data: function() {
              return {
              };
          },
          provide: {
              //Inject require modules.
              DocumentEditor : [Selection, Editor, ParagraphDialog, SfdtExport]
          }
          methods: {
              showParagraphDialog: function() {
                  //Open the paragraph dialog.
                  this.$refs.documenteditor.showDialog('Paragraph');
              }
          }
      }
</script>
<style>
      @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Table dialog

This dialog allows creating and inserting a table at cursor position by specifying the required number of rows and columns.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
      <div id="app" style="height:400px">
          <div>
              <button v-on:click='showTableDialog' >Open dialog</button>
          </div>
          <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableTableDialog='true' :enableSfdtExport='true' style="width: 100%;" height="370px" ></ejs-documenteditor>
      </div>
</template>
<script>
      import Vue from 'vue'
      import { DocumentEditorPlugin, Selection, Editor,  TableDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

      Vue.use(DocumentEditorPlugin);

      export default {
          data: function() {
              return {
              };
          },
          provide: {
              //Inject require modules
              DocumentEditor : [Selection, Editor, TableDialog, SfdtExport]
          }
          methods: {
              showTableDialog: function() {
                  //Open the table dialog.
                  this.$refs.documenteditor.showDialog('Table');
              }
          }
      }
</script>
<style>
      @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Bookmark dialog

This dialog allows you to perform the following operations:

  • View all bookmarks.
  • Navigate to a bookmark.
  • Create a bookmark at current selection.
  • Delete an existing bookmark. To open this dialog, refer to the following example.
Copied to clipboard
<template>
  <div id="app" style="height:400px">
      <div>
            <button v-on:click='showBookmarkDialog' >Open dialog</button>
      </div>
      <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableBookmarkDialog='true' :enableSfdtExport='true' height="370px" style="width: 100%;"></ejs-documenteditor>
  </div>
</template>
<script>
  import Vue from 'vue'
  import { DocumentEditorPlugin, Selection, Editor,  BookmarkDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorPlugin);

  export default {
      data: function() {
          return {
          };
      },
      provide: {
          //Inject require modules
          DocumentEditor : [Selection, Editor, BookmarkDialog, SfdtExport]
      }
      methods: {
          showBookmarkDialog: function() {
              //Open the bookmark dialog.
              this.$refs.documenteditor.showDialog('Bookmark');
          }
      }
  }
</script>
<style>
  @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

This dialog allows editing or inserting a hyperlink at cursor position.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
  <div id="app" style="height:400px">
      <div>
            <button v-on:click='showHyperlinkDialog' >Open dialog</button>
      </div>
      <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableHyperlinkDialog='true' :enableSfdtExport='true' height="370px" style="width: 100%;"></ejs-documenteditor>
  </div>
</template>
<script>
  import Vue from 'vue'
  import { DocumentEditorPlugin, Selection, Editor, HyperlinkDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorPlugin);

  export default {
      data: function() {
          return {
          };
      },
      provide: {
          //Inject require modules
          DocumentEditor : [Selection, Editor, HyperlinkDialog, SfdtExport]
      }
      methods: {
          showHyperlinkDialog: function() {
              //Opens hyperlink dialog.
              this.$refs.documenteditor.showDialog('Hyperlink');
          }
      }
  }
</script>
<style>
  @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Table of contents dialog

This dialog allows creating and inserting table of contents at cursor position. If the table of contents already exists at cursor position, you can customize its properties.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
            <button v-on:click='showTableOfContentsDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableTableOfContentsDialog='true' :enableSfdtExport='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, TableOfContentsDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, TableOfContentsDialog, SfdtExport]
        }
        methods: {
            showTableOfContentsDialog: function() {
                //Open the table of contents dialog.
                this.$refs.documenteditor.showDialog('TableOfContents');
            }
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Styles Dialog

This dialog allows managing the styles in a document. It will display all the styles in the document with options to modify the properties of the existing style or create new style with the help of ‘Style dialog’. Refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
             <button v-on:click='showStylesDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableStylesDialog='true' :enableSfdtExport='true' :enableStyleDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, StylesDialog, StyleDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, StylesDialog, StyleDialog, SfdtExport]
        }
        methods: {
            showStylesDialog: function() {
                //Open the styles dialog.
                this.$refs.documenteditor.showDialog('Styles');
            }
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Style dialog

You can directly use this dialog for modifying any existing style or add new style by providing the style name.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
              <button v-on:click='showStyleDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enableStyleDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, StyleDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, StyleDialog, SfdtExport]
        }
        methods: {
            showStylesDialog: function() {
                //Open styles dialog.
                this.$refs.documenteditor.showDialog('Style');
            }
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

List dialog

This dialog allows creating a new list or modifying existing lists in the document.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
               <button v-on:click='showListDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enableListDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, ListDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, ListDialog, SfdtExport]
        }
        methods: {
            showListDialog: function() {
                //Open list dialog.
                this.$refs.documenteditor.showDialog('List');
            }
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Borders and shading dialog

This dialog allows customizing the border style, border width, and background color of the table or selected cells.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
              <button v-on:click='showBordersAndShadingDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enableBordersAndShadingDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, BordersAndShadingDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, BordersAndShadingDialog, SfdtExport]
        }
        methods: {
            showBordersAndShadingDialog: function() {
                //Open borders and shading dialog.
                this.$refs.documenteditor.showDialog('BordersAndShading');
            }
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Table options dialog

This dialog allows customizing the default cell margins and spacing between each cells of the selected table.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
                <button v-on:click='showTableOptionsDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enableTableOptionsDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, TableOptionsDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, TableOptionsDialog, SfdtExport]
        }
        methods: {
            showTableOptionsDialog: function() {
                //Open table options dialog.
                this.$refs.documenteditor.showDialog('TableOptions');
            }
        },
        mounted() {
            this.$refs.documenteditor.ej2Instances.editor.insertTable(2,2);
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Table properties dialog

This dialog allows customizing the table, row, and cell properties of the selected table.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
                <button v-on:click='showTablePropertiesDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enableTablePropertiesDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
    import Vue from 'vue'
    import { DocumentEditorPlugin, Selection, Editor, TablePropertiesDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

    Vue.use(DocumentEditorPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules
            DocumentEditor : [Selection, Editor, TablePropertiesDialog, SfdtExport]
        }
        methods: {
            showTablePropertiesDialog: function() {
                //Open table properties dialog.
                this.$refs.documenteditor.showDialog('TableProperties');
            }
        },
        mounted() {
            this.$refs.documenteditor.ej2Instances.editor.insertTable(2,2);
        }
    }
</script>
<style>
    @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Page setup dialog

This dialog allows customizing margins, size, and layout options for pages of the section.

To open this dialog, refer to the following example.

Copied to clipboard
<template>
    <div id="app" style="height:400px">
        <div>
             <button v-on:click='showPageSetupDialog' >Open dialog</button>
        </div>
        <ejs-documenteditor ref="documenteditor" :enableSelection='true' :isReadOnly='false' :enableEditor='true' :enableSfdtExport='true' :enablePageSetupDialog='true' height="370px" style="width: 100%;"></ejs-documenteditor>
    </div>
</template>
<script>
  import Vue from 'vue'
  import { DocumentEditorPlugin, Selection, Editor, PageSetupDialog, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorPlugin);

  export default {
      data: function() {
          return {
          };
      },
      provide: {
          //Inject require modules.
          DocumentEditor : [Selection, Editor, PageSetupDialog, SfdtExport]
      }
      methods: {
          showPageSetupDialog: function() {
              //Open page setup dialog.
              this.$refs.documenteditor.showDialog('PageSetup');
          }
      }
  }
</script>
<style>
  @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

See Also

Search results

Dialog in Angular DocumentEditor component

21 Dec 2022 / 8 minutes to read

Document Editor provides dialog support to major operations such as insert or edit hyperlink, formatting text, paragraph, style, list and table properties.

Font Dialog

Font dialog allows you to modify all text properties for selected contents at once such as bold, italic, underline, font size, font color, strikethrough, subscript and superscript.

Refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
    DocumentEditorComponent, SfdtExportService, SelectionService, FontDialogService, EditorService, ContextMenuService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
      selector: 'app-container',
      //specifies the template string for the Document Editor component
      template: `<div>
      <button ejs-button (click)="btnClick()" >Show Dialog</button>
      <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSelection]=true
      [enableSfdtExport]=true [enableContextMenu]=true
      [enableFontDialog]=true [enableEditor]=true>
      </ejs-documenteditor>
      </div>`,
      encapsulation: ViewEncapsulation.None,
      providers: [SfdtExportService, SelectionService, FontDialogService, EditorService, ContextMenuService]
})

export class AppComponent {
    @ViewChild('document_editor')
    public documentEditor: DocumentEditorComponent;

    public btnClick(): void {
        //Open font dialog
        this.documentEditor.showDialog('Font');
    }
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Paragraph dialog

This dialog allows modifying the paragraph formatting for selection at once such as text alignment, indentation, and spacing.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
    DocumentEditorComponent, SfdtExportService, SelectionService, ParagraphDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
      selector: 'app-container',
      //specifies the template string for the Document Editor component
      template: `<div>
      <button ejs-button (click)="btnClick()" >Show Dialog</button>
      <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
      [enableParagraphDialog]=true [enableEditor]=true>
      </ejs-documenteditor>
      </div>`,
      encapsulation: ViewEncapsulation.None,
      providers: [SfdtExportService, SelectionService, ParagraphDialogService, EditorService]
})

export class AppComponent {
    @ViewChild('document_editor')
    public documentEditor: DocumentEditorComponent;

    public btnClick(): void {
        //Open paragraph dialog.
        this.documentEditor.showDialog('Paragraph');
    }
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Table dialog

This dialog allows creating and inserting a table at cursor position by specifying the required number of rows and columns.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
    DocumentEditorComponent, SfdtExportService, SelectionService, TableDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
    selector: 'app-container',
    template: `<div>
    <button ejs-button (click)="btnClick()" >Show Dialog</button>
    <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
    [enableTableDialog]=true [enableEditor]=true>
    </ejs-documenteditor>
    </div>`,
    encapsulation: ViewEncapsulation.None,
    providers: [SfdtExportService, SelectionService, TableDialogService, EditorService]
})

export class AppComponent {
    @ViewChild('document_editor')
    public documentEditor: DocumentEditorComponent;

    public btnClick(): void {
        //Open table dialog.
        this.documentEditor.showDialog('Table');
    }
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Bookmark dialog

This dialog allows you to perform the following operations:

  • View all bookmarks.
  • Navigate to a bookmark.
  • Create a bookmark at current selection.
  • Delete an existing bookmark. To open this dialog, refer to the following example.
Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, BookmarkDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div>
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableBookmarkDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, BookmarkDialogService, EditorService]
})
export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open bookmark dialog.
    this.documentEditor.showDialog('Bookmark');
}
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

This dialog allows editing or inserting a hyperlink at cursor position.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, HyperlinkDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div>
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableHyperlinkDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, HyperlinkDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open hyperlink dialog.
    this.documentEditor.showDialog('Hyperlink');
}
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Table of contents dialog

This dialog allows creating and inserting table of contents at cursor position. If the table of contents already exists at cursor position, you can customize its properties.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, TableOfContentsDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  template: `<div">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableTableOfContentsDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, TableOfContentsDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open table of contents dialog.
    this.documentEditor.showDialog('TableOfContents');
}
}

Styles Dialog

This dialog allows managing the styles in a document. It will display all the styles in the document with options to modify the properties of the existing style or create new style with the help of ‘Style dialog’. Refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, StyleDialogService, StylesDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableStyleDialog]=true [enableStylesDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, StyleDialogService, StylesDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open styles dialog.
    this.documentEditor.showDialog('Styles');
}
}

Style dialog

You can directly use this dialog for modifying any existing style or add new style by providing the style name.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, StyleDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableStyleDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, StyleDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open style dialog.
    this.documentEditor.showDialog('Style');
}
}

List dialog

This dialog allows creating a new list or modifying existing lists in the document.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, ListDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableListDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, ListDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open list dialog.
    this.documentEditor.showDialog('List');
}
}

Borders and shading dialog

This dialog allows customizing the border style, border width, and background color of the table or selected cells.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, BordersAndShadingDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableBordersAndShadingDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, BordersAndShadingDialogService, EditorService]
})
export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open borders and shading dialog.
    this.documentEditor.showDialog('BordersAndShading');
}
}

Table options dialog

This dialog allows customizing the default cell margins and spacing between each cells of the selected table.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, TableOptionsDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableTableOptionsDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, TableOptionsDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open table options dialog.
    this.documentEditor.showDialog('TableOptions');
}
}

Table properties dialog

This dialog allows customizing the table, row, and cell properties of the selected table.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, TableOptionsDialogService, TablePropertiesDialogService, BordersAndShadingDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div style="height:330px">
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" style="width: 100%;height: 100%;display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enableTableOptionsDialog]=true [enableTablePropertiesDialog]=true [enableBordersAndShadingDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, TableOptionsDialogService, TablePropertiesDialogService, BordersAndShadingDialogService, EditorService]
})

export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //open table properties dialog.
    this.documentEditor.showDialog('TableProperties');
}
}

Page setup dialog

This dialog allows customizing margins, size, and layout options for pages of the section.

To open this dialog, refer to the following example.

Copied to clipboard
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
DocumentEditorComponent, SfdtExportService, SelectionService, PageSetupDialogService, EditorService
} from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  //specifies the template string for the Document Editor component
  template: `<div>
  <button ejs-button (click)="btnClick()" >Show Dialog</button>
  <ejs-documenteditor #document_editor  id="container" height="330px" style="display:block" [isReadOnly]=false [enableSfdtExport]=true
  [enablePageSetupDialog]=true [enableEditor]=true>
  </ejs-documenteditor>
  </div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [SfdtExportService, SelectionService, PageSetupDialogService, EditorService]
})
export class AppComponent {
@ViewChild('document_editor')
public documentEditor: DocumentEditorComponent;

public btnClick(): void {
    //Open page setup dialog.
    this.documentEditor.showDialog('PageSetup');
}
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';
import { AppComponent } from './app.component';



/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ButtonModule,
        DocumentEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

See Also